summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ansible/site.gate.yml2
-rw-r--r--build.sh10
2 files changed, 6 insertions, 6 deletions
diff --git a/ansible/site.gate.yml b/ansible/site.gate.yml
index ba113ca..0d902dc 100644
--- a/ansible/site.gate.yml
+++ b/ansible/site.gate.yml
@@ -10,7 +10,7 @@
- repo: _
dport:
container: alpine
- tag: '3.12'
+ tag: '3.13'
steps:
- name: build opnfv/functest-core
containers:
diff --git a/build.sh b/build.sh
index 5331a52..effd075 100644
--- a/build.sh
+++ b/build.sh
@@ -31,11 +31,11 @@ for dir in ${amd64_dirs}; do
(docker rmi "${repo}/functest-${dir##**/}:amd64-latest" || true)
done
[ -n "${amd64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.12 || true)
+ (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.13 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
- -e "s|alpine:3.12|arm64v8/alpine:3.12|g" {} +
+ -e "s|alpine:3.13|arm64v8/alpine:3.13|g" {} +
find . -name Dockerfile -exec sed -i \
-e "s|opnfv/functest-core|${repo}/functest-core:arm64-latest|g" {} +
find . -name Dockerfile -exec sed -i \
@@ -52,11 +52,11 @@ for dir in ${arm64_dirs}; do
done
[ -n "${arm64_dirs}" ] &&
(docker rmi "${repo}/functest-core:arm64-latest" \
- arm64v8/alpine:3.12 || true)
+ arm64v8/alpine:3.13 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
- -e "s|alpine:3.12|arm32v6/alpine:3.12|g" {} +
+ -e "s|alpine:3.13|arm32v6/alpine:3.13|g" {} +
find . -name Dockerfile -exec sed -i \
-e "s|opnfv/functest-core|${repo}/functest-core:arm-latest|g" {} +
find . -name Dockerfile -exec sed -i \
@@ -73,7 +73,7 @@ for dir in ${arm_dirs}; do
done
[ -n "${arm_dirs}" ] &&
(docker rmi "${repo}/functest-core:arm-latest" \
- arm32v6/alpine:3.12 || true)
+ arm32v6/alpine:3.13 || true)
find . -name Dockerfile -exec git checkout {} +
exit $?